<?php

$config = array(

    // This is a authentication source which handles admin authentication.
    'admin' => array(
        // The default is to use core:AdminPassword, but it can be replaced with
        // any authentication source.

        'core:AdminPassword',
    ),


    // An authentication source which can authenticate against both SAML 2.0
    // and Shibboleth 1.3 IdPs.
    'default-sp' => array(
        'saml:SP',

        // The entity ID of this SP.
        // Can be NULL/unset, in which case an entity ID is generated based on the metadata URL.
        'entityID' => NULL,

        // The entity ID of the IdP this should SP should contact.
        // Can be NULL/unset, in which case the user will be shown a list of available IdPs.
        'idp' => NULL,

        // The URL to the discovery service.
        // Can be NULL/unset, in which case a builtin discovery service will be used.
        'discoURL' => null,

        /*
         * WARNING: SHA-1 is disallowed starting January the 1st, 2014.
         *
         * Uncomment the following option to start using SHA-256 for your signatures.
         * Currently, SimpleSAMLphp defaults to SHA-1, which has been deprecated since
         * 2011, and will be disallowed by NIST as of 2014. Please refer to the following
         * document for more information:
         *
         * http://csrc.nist.gov/publications/nistpubs/800-131A/sp800-131A.pdf
         *
         * If you are uncertain about identity providers supporting SHA-256 or other
         * algorithms of the SHA-2 family, you can configure it individually in the
         * IdP-remote metadata set for those that support it. Once you are certain that
         * all your configured IdPs support SHA-2, you can safely remove the configuration
         * options in the IdP-remote metadata set and uncomment the following option.
         *
         * Please refer to the hosted SP configuration reference for more information.
          */
        'certificate' => 'ehmsigneringscertifikat2.cer',
	'privatekey' => 'ehmsigneringscertifikat2.key',
        //'signature.algorithm' => 'http://www.w3.org/2000/09/xmldsig#sha1',
	'signature.algorithm' => 'http://www.w3.org/2001/04/xmldsig-more#rsa-sha256',


        /*
         * The attributes parameter must contain an array of desired attributes by the SP.
         * The attributes can be expressed as an array of names or as an associative array
         * in the form of 'friendlyName' => 'name'.
         * The metadata will then be created as follows:
         * <md:RequestedAttribute FriendlyName="friendlyName" Name="name" />
         */
        /*'attributes' => array(
            'attrname' => 'urn:oid:x.x.x.x',
        ),*/
        /*'attributes.required' => array (
            'urn:oid:x.x.x.x',
        ),*/
    ),

'example-userpass' => array(
    'exampleauth:UserPass',
    'FARMACEUT_APOTEK:sambi' => array(
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('AP'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicenseIdentityNumber' => array('920003'),
		'http://sambi.se/attributes/1/pharmacyIdentifier' => array('7350046611966')
    ),
    'FARMACEUT_APOTEK_PNR:sambi' => array(
        'http://sambi.se/attributes/1/pharmacyIdentifier' => array('7350046611966'),
        'http://sambi.se/attributes/1/personalIdentityNumber' => array('189110219806'),
		'http://sambi.se/attributes/1/pharmacyIdentifier' => array('7350046611966')
    ),
    'PERSONAL_APOTEK:sambi' => array(
        'http://sambi.se/attributes/1/personalIdentityNumber' => array('199006012398'),
		'http://sambi.se/attributes/1/occupationalCode' => array('RE'),
		'http://sambi.se/attributes/1/pharmacyIdentifier' => array('7350046611966'),
    ),
    'LEGITIMERAD_PERSONAL:sambi' => array(
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('LK', 'BM'),
        'http://sambi.se/attributes/1/personalIdentityNumber' => array('199101282391'),
    ),
    'FORSKRIVARE:sambi' => array(
        'http://sambi.se/attributes/1/personalPrescriptionCode' => array('9000027'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('LK'),
    ),
    'SJUKSKOTERSKA:sambi' => array(
        'http://sambi.se/attributes/1/personalPrescriptionCode' => array('9001363'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('SJ'),
    ),
    'BARNMORSKA:sambi' => array(
        'http://sambi.se/attributes/1/personalPrescriptionCode' => array('9000019'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('BM'),
    ),
    'FORSKRIVARE_AT:sambi' => array(
        'http://sambi.se/attributes/1/groupPrescriptionCode' => array('9000001'),
        'http://sambi.se/attributes/1/personalIdentityNumber' => array('199104142394'),
        'http://sambi.se/attributes/1/occupationalCode' => array('AL'),
    ),
    'SJUKSKOTERSKA_GRUPPFORSKRIVARKOD:sambi' => array(
        'http://sambi.se/attributes/1/groupPrescriptionCode' => array('9600008'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicenseIdentityNumber' => array('403900'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('SJ'),
    ),
    'LEG_VARDPERSONAL_SJUKSKOTERSKA:sambi' => array(
        'http://sambi.se/attributes/1/healthcareProfessionalLicenseIdentityNumber' => array('900226'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('SJ'),
    ),
	'LEG_VARDPERSONAL_FARMACEUT:sambi' => array(
        'http://sambi.se/attributes/1/healthcareProfessionalLicenseIdentityNumber' => array('900226'),
        'http://sambi.se/attributes/1/healthcareProfessionalLicense' => array('AP'),
        'http://sambi.se/attributes/1/healthcareProviderId' => array('123456789'),
        'http://sambi.se/attributes/1/healthCareProviderHsaId' => array('HSA123456789'),
    ),
    'EJ_LEGITIMERAD_VARDPERSONAL:sambi' => array(
        'http://sambi.se/attributes/1/personalIdentityNumber' => array('199101282391'),
        'http://sambi.se/attributes/1/occupationalCode' => array('VP'),
    ),
    'ADMIN_DOSPATIENTUPPGIFTER:sambi' => array(
        'http://sambi.se/attributes/1/personalIdentityNumber' => array('199101282391'),
        'http://sambi.se/attributes/1/occupationalCode' => array('AD'),
    ),
),
);
